Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5936 - problems recompiling SRPM's
Summary: problems recompiling SRPM's
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-14 05:25 UTC by seifried
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-13 23:39:25 UTC


Attachments (Terms of Use)

Description seifried 1999-10-14 05:25:26 UTC
Ok, I needed to recompile all the RPM's for Red Hat Linux
6.1 so I could stackguard them. So I wrote a script that
did it, took a while, and when done not bad. About 80 rpm's
failed to compile. For example grep compiles and create
working binaries, but the package fails to build (that
is /var/tmp/anonftp/ is populated, but no rpm gets
assembled). anonftp is set to use libraries that are
incorrect numbers/etc. I was doing my compiling on a Red
Hat 6.1 install with _all_ the packages installed. Anyways,
this is really aggravating that I cannot recompile Red Hat
6.1 RPM's on a clean Red Hat 6.1 system. What do you guys
compile stuff on? I can mostly work around this, but it is
a pain.

------- Additional Comments From   10/14/99 07:18 -------
I can second this:
Tried to rebuild gdm. The gdm.spec pointed to files that were not in
the package. Even after removing the dead reference, packages were not
build correctly. Haven't tried other packeges yet...
Used a complete install of Cartman!

Comment 1 Bill Nottingham 1999-10-14 15:36:59 UTC
Try unsetting LINGUAS before you rebuild.

Most likely, autoconf is testing the value of LINGUAS, and then
it decides that you don't want to build any translations.Try unsetting LINGUAS before you rebuild.

Most likely, autoconf is testing the value of LINGUAS, and then
it decides that you don't want to build any translations.


Note You need to log in before you can comment on or make changes to this bug.